#pragma once

#include "message_bus/pipeline/PipelineContext.h"

namespace softbus::message_bus::pipeline::stages::parsers
{

class IParserStage
{
public:
    virtual ~IParserStage() = default;
    virtual bool parse(softbus::message_bus::pipeline::PipelineContext& ctx) = 0;
};

} // namespace softbus::message_bus::pipeline::stages::parsers
